package com.ruoyi.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
@Data
public class AddTimesheetDTO {
    private Long employId;

    private String employName;

    private String projectNumber;

    private String projectName;

    private String managerName;

    private Long managerId;

    private String departmentLeaderName;

    private Long departmentLeaderId;

    private String approvalState;

    private String approvalNote;

    @JsonFormat(pattern = "yyyy/MM/dd")
    private Date startTime;

    @JsonFormat(pattern = "yyyy/MM/dd")
    private Date endTime;

    private BigDecimal totalHours;


    private List<AddWorkDTO> addWorkList;
}
