package com.ruoyi.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class TimesheetDTO {
    private String projectNumber;

    private String projectName;

    private String managerName;

    private String departmentLeaderName;

    private BigDecimal totalHours;

    @JsonFormat(pattern = "yyyy/MM/dd")
    private Date startTime;

    @JsonFormat(pattern = "yyyy/MM/dd")
    private Date endTime;

    private List<WorkDetailDTO> workDetails;
}
