package com.ruoyi.domain.vo;

import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class FyglDailyReimbursementVo extends BaseEntity {
    //项目名称
    private String projectName;

    //当前用户id
    private Long currentUserId;

    //报销类型
    private Integer reimbursementType;

    //提交时间
    private String registrationTime;

    //报销月份
    private String reimbursement;
    //审批状态
    private Integer status;
    //项目经理
    private String userName;
    //项目负责人id
    private Long userId;
    //事业部负责人
    private String departmentUserName;
    //附件
    private String accessory;

    //项目id
    private Integer projectId;

    //用于子列表的卡片id
    private Integer cardItemProjectId;

    //项目名字-用于搜索
    private String searchProjectName;

    //删除标志 0未删除1已删除
    private Integer delFlag;

    private Long id;
    private Integer rid;
    private String serialNumber;
    private String description;
    private Double actualAmount;

    //审批状态0保存1未通过2审批中3已通过
    private Integer reimbursmentApproveStatus;


}
