package com.ruoyi.mapper;

import com.ruoyi.domain.*;
import com.ruoyi.domain.dto.DailyBaoXiaoApprovalDTO;
import com.ruoyi.domain.vo.DailyBaoXiaoApprovalVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper

public interface ExpenseApprovalMapper{


    List<RoleNameAndId> getRolesByUserId(Long userId);

    //修改项目费用申请的审核状态
    int updateStatus(ProjectCostRequestApproval projectCostRequestApproval);

    //项目费用申请审批-审核驳回
    int updateStatusReject(ProjectCostRequestApprovalReject projectCostRequestApprovalRejects);

    //修改项目费用报销的审核状态
    int updateReimbursementStatus(ProjectCostReimbursementApproval ProjectCostReimbursementApproval);

    //项目费用报销审批-审核驳回
    int updateReimbursementStatusReject(ProjectCostReimbursementApprovalReject ProjectCostReimbursementApprovalReject);

    //修改出差申请的审核状态
    int updatetripApplicationStatus(TripApplicationApproval fyglTripApplicationDTO);

    //出差申请审批-审核驳回
    int updatetripApplicationStatusReject(TripApplicationApprovalReject fyglTripApplicationDTO);
    //日常报销的列表
    List<DailyBaoXiaoApprovalDTO> getDailyBaoXiaoApproval(DailyBaoXiaoApprovalVo dailyBaoXiaoApprovalVo);
    
    //修改日常报销的审核状态
    int updateDailyReimburseStatus(DailyReimburseApproval fyglDailyReimburseDTO);
    
    //日常报销审批-审核驳回
    int updateDailyReimburseStatusReject(DailyReimburseApprovalReject fyglDailyReimburseDTO);

    //修改差旅报销的审核状态
    int updatetravelOnBusinessStatus(TravelOnBusinessApproval fyglTravelOnBusinessDTO);

    //差旅报销审批-审核驳回
    int updatetravelOnBusinessStatusReject(TravelOnBusinessApprovalReject fyglTravelOnBusinessDTO);
}
