package com.ruoyi.mapper;

import com.ruoyi.domain.dto.FyglTravelOnBusinessDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface IFyglTravelOnBusinessMapper {
    /**
     * 查询出差申请
     *
     * @param id 出差申请主键
     * @return 出差申请
     */
    public FyglTravelOnBusinessDTO selectFyglTravelOnBusinessListById(Long id);
    
    //列表
    List<FyglTravelOnBusinessDTO> getFyglTravelOnBusinessList(FyglTravelOnBusinessDTO fyg);
    
    /**
     * 新增差旅报销
     *
     * @param fyglTravelOnBusinessDTO 差旅报销
     * @return 结果
     */
    public int insertFyglTravelOnBusiness(FyglTravelOnBusinessDTO fyglTravelOnBusinessDTO);
    
    /**
     * 修改差旅报销
     *
     * @param fyglTravelOnBusinessDTO 差旅报销
     * @return 结果
     */
    public int updateFyglTravelOnBusiness(FyglTravelOnBusinessDTO fyglTravelOnBusinessDTO);
    
    /**
     * 删除差旅报销
     *
     * @param id 差旅报销主键
     * @return 结果
     */
    public int deleteFyglTravelOnBusinessById(Long id);
}
