package com.ruoyi.materialentry.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物品入库信息对象 psa_material_entry
 * 
 * @author ruoyi
 * @date 2025-03-13
 */
@Data
public class PsaMaterialEntry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 入库记录ID */
    private Long id;

    /** 入库方式 */
    @Excel(name = "入库方式" ,dictType = "entry_type")
    private String entryMethod;

    /** 物品ID */
    private Long materialId;

    /** 报销ID */
    @Excel(name = "报销ID",defaultValue = "无")
    private Long expenseId;

    /** 流水号 */
    private String serialNumber;

    /** 物类ID */

    private Long typeId;

    /** 类下物ID */

    private Long itemId;
    /** 物品名称 */
    @Excel(name = "物品类型")
    private String typeName;

    /** 物品名称 */
    @Excel(name = "物品名称")
    private String itemName;

    /** 入库数量 */
    @Excel(name = "入库数量")
    private Long entryQuantity;
    /** 备注 */
    @Excel(name = "申请备注")
    private String remark;

    /** 草稿箱 */
    private String draft;
    /** 删除 */
    private String delFlag;


}
