package com.ruoyi.materialreturn.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物品归还细节对象 psa_material_return_detail
 * 
 * @author fangjianyu
 * @date 2025-03-25
 */
@Data
public class PsaMaterialReturnDetail
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 归还表ID */

    private Long returnId;

    /** 类型ID */

    @JsonProperty("type")
    private Long materialTypeId;

    /** 物品ID */

    @JsonProperty("material_detail")
    private Long materialTypeDetailId;

    @Excel(name = "物品名称")
    private String materialName;

    /** 归还个数 */
    @Excel(name = "归还个数")
    @JsonProperty("quantity")
    private Long returnNumber;


}
