package com.ruoyi.service;

import com.ruoyi.domain.dto.FyglProjectCostDTO;
import com.ruoyi.domain.dto.FyglProjectDTO;
import com.ruoyi.domain.dto.FyglProjectList;
import com.ruoyi.domain.dto.FyglProjectManagerList;

import java.util.List;

public interface IFyglProjectCostService {
    public List<FyglProjectCostDTO> getList(FyglProjectCostDTO fyglProjectCostDTO);

    public FyglProjectCostDTO getDetail(Integer id);

    //插入方法
    int insertProjectCost(FyglProjectCostDTO fyglProjectCostDTO);

    //获取所有项目
    List<FyglProjectList> getAllProject();

    FyglProjectDTO getProjectDetail(Long pid);

    int updateProjectCost(FyglProjectCostDTO fyglProjectCostDTO);

    int deleteProjectCost(Integer id);

    List<String> getProjectNameList();

    List<FyglProjectCostDTO> getProjectCostListByIds(Long [] ids);

    List<FyglProjectManagerList> getAllProjectManager();
}
