package com.ruoyi.attendance.enums;

import lombok.Getter;

@Getter
public enum AttendanceStatus {

    /**
     * 正常签到
     */
    ZCQD("0","正常签到"),
    /**
     * 早退
     */
    ZT("1","早退"),
    /**
     * 迟到
     */
    CD("2","迟到"),
    /**
     * 正常签退
     */
    ZCQT ("3","正常签退");


    private final String value;
    private final String desc;

    AttendanceStatus(String value,String desc) {
        this.value = value;
        this.desc = desc;
    }

}
