package com.ruoyi.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
@Data
public class AddWorkDTO {
    @JsonFormat(pattern = "yyyy/MM/dd")
    @Excel(name = "工作日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workTime;

    private String workWeek;//星期
    private BigDecimal hours;//工时
}
