package com.ruoyi.domain.dto;


import lombok.Data;

import java.util.List;

@Data
public class FyglDailyReimbursementDTO {
    private Long id;
    private Integer projectId;
    private String projectName;
    //项目负责人
    private String projectUserName;
    //事业部负责人
    private String departmentUserName;
    //报销月份
    private String reimbursement;
    //审批状态
    private String startDate;
    private String endDate;
    //未通过数量
    private Integer notPassNumber;
    //通过数量
    private Integer passNumber;
    //总数量
    private Integer totalMoney;

    //项目的每个月的报销数组
    private List<FyglDailyReimbursementTableItemDTO> tableItemList;
}
