package com.ruoyi.domain.dto;

import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 费用管理-差旅报销
 * @TableName fygl_travel_on_business
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class FyglTravelOnBusinessDTO extends BaseEntity {
    private Long id;
    private String projectNumber;
    private String projectName;
    private String projectType;
    private String travelAddress;
    private String travelCause;
    private Double amount;
    private String projectUserName;
    private Integer status;

    //当前节点id
    private Integer currentAuditRoleId;

    private String createBy;
}