package com.ruoyi.domain.dto;

import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

@Data
public class FyglTripApplicationDTO extends BaseEntity {
    private Long id;
    //项目id
    private Long projectId;
    //项目编号
    private String projectNumber;
    //项目名称
    private String projectName;
    //项目类型
    private String projectType;
    //出差地点
    private String tripAddress;
    //出差事由
    private String tripReason;
    //预计开始时间
    private String tripStartDate;
    //预计结束时间
    private String tripEndDate;
    //出差天数
    private double days;
    //项目经理
    private String projectUserName;
    //审批状态
    private Integer status;

    //当前审批节点
    private Integer currentAuditRoleId;

}
