package com.ruoyi.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class OvertimeApplicationBatchDTO {

    private String project;
    private String divisionLeader;
    private String projectLeader;

    // 员工的加班列表
    private List<OvertimeDetail> employees;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public static class OvertimeDetail {
        // 员工姓名
        private String uname;
        // 加班日期
        private String requestDate;
        // 加班时长
        private String overtimeHours;
    }
}
