package com.ruoyi.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class WorkDetailDTO {
    private Long id;

    @JsonFormat(pattern = "MM/dd")
    @Excel(name = "工作日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workTime;

    private BigDecimal hours;

    public WorkDetailDTO(Date workTime, BigDecimal hours) {
        this.workTime = workTime;
        this.hours = hours;
    }

    public WorkDetailDTO() {
        // 默认构造函数
    }
}
