package com.ruoyi.mapper;

import com.ruoyi.domain.EmployeeBalance;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

public interface EmployeeBalanceMapper {

    /**
     * 检查员工是否已有加班记录
     */
    EmployeeBalance selectEmployeeBalanceByEmployeeId(@Param("employeeId") Long employeeId);

    /**
     * 插入员工余额记录
     */
    int insertEmployeeBalance(EmployeeBalance employeeBalance);

    /**
     * 更新员工余额记录
     */
    int updateEmployeeBalance(@Param("employeeId") Long employeeId, @Param("overtimeHoursBalance") BigDecimal overtimeHoursBalance);
}
