package com.ruoyi.mapper;

import com.ruoyi.domain.dto.FyglProjectCostDTO;
import com.ruoyi.domain.dto.FyglProjectManagerList;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FyglProjectCostMapper {

    //列表接口
    public List<FyglProjectCostDTO> getList(FyglProjectCostDTO fyglProjectCostDTO);

    //获取详情
    public FyglProjectCostDTO getDetail(Integer id);

    //新增接口
    int insertProjectCost(FyglProjectCostDTO fyglProjectCostDTO);

    //修改接口
    int updateProjectCost(FyglProjectCostDTO fyglProjectCostDTO);

    int deleteProjectCost(Integer id);

    //获取项目列表
    List<String> getProjectNameList();

    //获取rid
    Integer getRid(Integer id);

    //根据ids搜索
    List<FyglProjectCostDTO> getProjectCostListByIds(Long[] ids);

    //根据id修改状态
    int changeStatus(@Param("id") Integer id,@Param("approveStatus") Integer approveStatus);

    List<FyglProjectManagerList> getProjectManagerList();
}
