package com.ruoyi.mapper;


import com.ruoyi.domain.dto.FyglProjectCostDTO;
import com.ruoyi.domain.dto.FyglProjectCostReimbursementDTO;
import com.ruoyi.domain.vo.FyglDailyReimbursementVo;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

@Mapper
public interface FyglProjectCostReimbursementMapper {

    //列表
    List<FyglProjectCostReimbursementDTO> getList(FyglProjectCostReimbursementDTO ReimbursementDTO);

    //获取详情
    public FyglProjectCostReimbursementDTO getDetail(Integer id);

    //新增报销
    public int insertReimbursement(FyglDailyReimbursementVo fyglDailyReimbursementVo);

    //待报销接口
    public List<FyglProjectCostDTO> approvestatus3List(FyglProjectCostDTO fyglProjectCostDTO);

    public int updateReimbursement(FyglDailyReimbursementVo fyglDailyReimbursementVo);

    int deleteReimbursement(Integer id);

    List<FyglProjectCostReimbursementDTO> getListByIds(Long [] ids);

}
