package com.ruoyi.materialapply.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物品借用细节对象 psa_material_apply_detail
 * 
 * @author ruoyi
 * @date 2025-03-18
 */
@Data
public class PsaMaterialApplyDetail
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 申请表ID */
    private Long applyId;

    /** 类型ID */

    @JsonProperty("type")
    private Long materialTypeId;

    /** 物品ID */
    @JsonProperty("material_detail")

    private Long materialTypeDetailId;

    @Excel(name = "物品名称")
    private String materialName;
    /** 申请个数 */
    @Excel(name = "申请个数")
    @JsonProperty("quantity")
    private Long applyNumber;

    private Long stock;

    private String unit;


}
