package com.ruoyi.resignation.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 交接事务对象 resignation_matter
 *
 * @author ruoyi
 * @date 2025-03-20
 */
@Data
public class ResignationMatter extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 关联的离职申请ID */
    @Excel(name = "关联的离职申请ID")
    private Long applicationId;

    /** 事项内容 */
    @Excel(name = "事项内容")
    private String matter;

    /** 是否已交接（0是，1否） */
    @Excel(name = "是否已交接", readConverterExp = "0=是，1否")
    private Long isHandover;

}