package com.ruoyi.service;

import com.ruoyi.domain.*;
import com.ruoyi.domain.dto.DailyBaoXiaoApprovalDTO;
import com.ruoyi.domain.vo.DailyBaoXiaoApprovalVo;

import java.util.List;

public interface IExpenseApprovalService {

    //获取当前角色名字和id
    List<RoleNameAndId> getExpenseApproval();


    //项目费用申请审批-审核通过
    int updateStatus(List<ProjectCostRequestApproval> projectCostRequestApproval);

    //项目费用申请审批-审核驳回
    int updateStatusReject(List<ProjectCostRequestApprovalReject> projectCostRequestApprovalRejects);

    //项目费用报销审批-审核通过
    int updateReimbursementStatus(List<ProjectCostReimbursementApproval> ProjectCostReimbursementApproval);

    //项目费用报销审批-审核驳回
    int updateReimbursementStatusReject(List<ProjectCostReimbursementApprovalReject> projectCostReimbursementApprovalRejects);

    //出差申请审批-审核通过
    int updatetripApplicationStatus(List<TripApplicationApproval> fyglTripApplicationDTO);

    //出差申请审批-审核驳回
    int updatetripApplicationStatusReject(List<TripApplicationApprovalReject> fyglTripApplicationDTO);
    //日常报销的列表
    List<DailyBaoXiaoApprovalDTO> getDailyBaoXiaoApproval(DailyBaoXiaoApprovalVo dailyBaoXiaoApprovalVo);

    //差旅报销审批-审核通过
    int updatetravelOnBusinessStatus(List<TravelOnBusinessApproval> fyglTravelOnBusinessDTO);

    //差旅报销审批-审核驳回
    int updatetravelOnBusinessStatusReject(List<TravelOnBusinessApprovalReject> fyglTravelOnBusinessDTO);

    //日常报销审批-审核通过
    int updateDailyReimburseStatus(List<DailyReimburseApproval> fyglDailyReimburseDTO);
    
    //日常报销审批-审核驳回
    int updateDailyReimburseStatusReject(List<DailyReimburseApprovalReject> fyglDailyReimburseDTO);

}

