package com.ruoyi.service;

import com.ruoyi.domain.dto.FyglTravelOnBusinessDTO;

import java.util.List;

public interface IFyglTravelOnBusinessService {
    /**
     * 查询差旅报销
     *
     * @param id 差旅报销主键
     * @return 差旅报销
     */
    public FyglTravelOnBusinessDTO selectFyglTravelOnBusinessListById(Long id);
    
    List<FyglTravelOnBusinessDTO> getFyglTravelOnBusinessList(FyglTravelOnBusinessDTO fyg);
    
    /**
     * 新增差旅报销
     *
     * @param fyglTravelOnBusinessDTO 差旅报销
     * @return 结果
     */
    public int insertFyglTravelOnBusiness(FyglTravelOnBusinessDTO fyglTravelOnBusinessDTO);
    
    /**
     * 修改差旅报销
     *
     * @param fyglTravelOnBusinessDTO 差旅报销
     * @return 结果
     */
    public int updateFyglTravelOnBusiness(FyglTravelOnBusinessDTO fyglTravelOnBusinessDTO);
    
    /**
     * 删除差旅报销信息
     *
     * @param id 差旅报销主键
     * @return 结果
     */
    public int deleteFyglTravelOnBusinessById(Long id);

}
